# 乐映影视

### 部署流程

* 1、创建数据库，使用以下命令建数据库
  ```
  CREATE DATABASE `joying` CHARACTER SET 'utf8mb4' COLLATE 'utf8mb4_general_ci';
  ```
  运行sql目录下的`joying.sql`可生成相应表和初始数据

* 2、如果sql目录有`update.sql`文件，则再运行`update.sql`更新数据库

* 3、修改启动项配置文件，若无变动可不修改
    - `joying-portal/src/main/resources/application.yml`: 用户端测试环境
    - `joying-portal/src/main/resources/application-prod.yml`: 用户端生产环境
    - `joying-admin/src/main/resources/application.yml`: 管理端生产环境
    - `joying-admin/src/main/resources/application-prod.yml`: 管理端生产环境

* 4、Maven打包  
  项目使用了南京的maven仓库，仓库链接为http，所以本地maven版本需要3.8以下，如果使用3.8以上的版本，需要仓库地址为https
  ``` 
  mvn clean package -Dmaven.test.skip=true -Dmaven.javadoc.skip=true
  ```
    - `joying-portal/target/joying-portal-1.1.0.jar`用户端程序
    - `joying-admin/target/joying-admin-1.1.0.jar`管理端程序

* 5、Docker部署
    - 使用`file/Dockerfile`，修改第7行`ADD joying-xxx-x.x.x.jar app.jar`为第四步中打包后获得的程序包
    - 修改第8行`EXPOSE xxxx`，用户端为8001端口，管理端为8002端口，之后即可正常部署



