package com.fzm.admin.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.Charge;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.ChargeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author tangtuo
 * @date 2022/1/25 10:13
 */
@Authentication
@RestController
@RequestMapping(value = "/charge")
@Api(tags = "收费管理")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class ChargeController {

    private final ChargeService chargeService;

    @PostMapping("/update")
    @ApiOperation("编辑")
    public ResponseModel<String> update(@RequestBody Charge charge) {
        chargeService.updateById(charge);
        return ResponseModel.success("编辑成功");
    }

    @GetMapping("/detail/{type}")
    @ApiOperation("根据收费类型获取详情")
    public ResponseModel<Charge> getByType(@ApiParam("收费类型 1-nft发行 2-版权申请") @PathVariable Integer type) {
        Charge charge = chargeService.getByType(type);
        return ResponseModel.success(charge);
    }
}
