package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fzm.common.constant.TokenConstant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/5 15:02
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@TableName("tb_admin")
public class Admin extends AbstractUser {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("用户名")
    private String username;

    @ApiModelProperty("昵称")
    private String nickname;

    @ApiModelProperty("密码")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String password;

    @ApiModelProperty("角色id")
    private Integer roleId;

    @ApiModelProperty("是否需要更新密码")
    private Integer needResetPassword;

    @ApiModelProperty("是否已被冻结，0未冻结，1已冻结")
    private Integer freezeState;

    @ApiModelProperty("最后登录时间")
    private Date lastLoginTime;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date updateDate;

    @ApiModelProperty("记录创建的时间戳")
    @TableField(fill = FieldFill.INSERT)
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Long createTime;

    @ApiModelProperty("记录更新的时间戳")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Long updateTime;

    @Override
    public String appId() {
        return TokenConstant.TOKEN_APP_ID_ADMIN;
    }

    @Override
    public Integer userId() {
        return id;
    }
}
