package com.fzm.common.open.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.mapper.OpenKeyMapper;
import com.fzm.common.open.entity.dataobject.OpenKeyDO;
import com.fzm.common.open.entity.viewobject.OpenKeyVO;
import com.fzm.common.open.service.OpenKeyService;
import lombok.RequiredArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author wt
 * @date 2022/4/24
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class OpenKeyServiceImpl extends ServiceImpl<OpenKeyMapper, OpenKeyDO> implements OpenKeyService {
    private final OpenKeyMapper openKeyMapper;

    @Override
    public OpenKeyDO getByAppKey(String appKey) {
        if (StringUtils.isBlank(appKey)) {
            return null;
        }
        QueryWrapper<OpenKeyDO> wrapper = new QueryWrapper<>();
        wrapper.eq("app_key", appKey);
        return getOne(wrapper);
    }

    @Override
    public List<OpenKeyVO> getList() {
        return openKeyMapper.getList();
    }
}
