package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.Refund;
import com.fzm.common.entity.vo.PaymentVo;
import com.github.pagehelper.PageInfo;

/**
 * @author tangtuo
 * @date 2022/1/24 14:26
 */
public interface RefundService extends IService<Refund> {

    /**
     * 根据订单id查询
     *
     * @param orderId
     * @return
     */
    Refund getByOrderId(Long orderId);

    /**
     * 提交退款申请
     *
     * @param orderId
     * @return
     */
    Boolean submit(Long orderId);

    /**
     * 分页查询待处理的退款订单
     *
     * @param pageNum
     * @param pageSize
     * @param name
     * @param telephone
     * @param orderName
     * @param type
     * @param payScene
     * @param start
     * @param end
     * @return
     */
    PageInfo<PaymentVo> pages(Integer pageNum, Integer pageSize, String name, String telephone, String orderName, String type, Integer payScene, String start, String end);

}
