package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Authority;
import com.fzm.common.mapper.AuthorityMapper;
import com.fzm.common.service.AuthorityService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:42
 */
@Service
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class AuthorityServiceImpl extends ServiceImpl<AuthorityMapper, Authority> implements AuthorityService {
    private final AuthorityMapper authorityMapper;

    @Override
    public List<Authority> getByType(int type) {
        QueryWrapper<Authority> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("type", type);
        return list(queryWrapper);
    }

    @Override
    public List<Authority> getByCopyrightId(Integer copyrightId) {
        return authorityMapper.getByCopyrightId(copyrightId);
    }

    @Override
    public List<Authority> getApiByCopyrightId(Integer id) {
        return authorityMapper.getApiByCopyrightId(id);
    }
}
