package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.Charge;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.ChargeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author tangtuo
 * @date 2022/1/25 10:13
 */
@Authentication
@RestController
@RequestMapping(value = "/charge")
@Api(tags = "收费管理")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class ChargeController {

    private final ChargeService chargeService;


    @GetMapping("/fee/{type}")
    @ApiOperation("根据收费类型查询收费")
    public ResponseModel<Long> getByType(@ApiParam("收费类型 1-nft发行 2-版权申请") @PathVariable Integer type) {
        Charge charge = chargeService.getByType(type);
        return ResponseModel.success(charge.getFee());
    }
}
