package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.Order;
import com.fzm.common.entity.dto.CopyrightOrderDto;
import com.fzm.common.entity.vo.OrderVo;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.CopyrightApplyOrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wt
 * @date 2022/5/23
 */
@RestController
@Api(tags = "版权申请")
@RequestMapping("/copyright/apply")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class CopyrightApplyOrderController {

    private final CopyrightApplyOrderService copyrightApplyOrderService;

    @Authentication
    @PostMapping("/submit-order")
    @ApiOperation("/提交申请并下单")
    public ResponseModel<OrderVo> submitOrder(@Validated @RequestBody CopyrightOrderDto copyrightDTO) {
        Order order = copyrightApplyOrderService.submitOrder(copyrightDTO);
        return ResponseModel.success(new OrderVo(order));
    }

    @Authentication
    @PostMapping(value = "/update-order")
    @ApiOperation(value = "编辑并下单")
    public ResponseModel<OrderVo> updateOrder(@RequestBody CopyrightOrderDto copyrightDTO) {
        Order order = copyrightApplyOrderService.updateOrder(copyrightDTO);
        return ResponseModel.success(new OrderVo(order));
    }
}
